> On Nov 2, 2016, at 10:11 PM, Ken Cunningham <ken.cunningham.web...@gmail.com> 
> wrote:
> 
>> That's just:
>> 
>> #if MAC_OS_X_VERSION_MAX_ALLOWED < 1070
>> # error SDL for Mac OS X must be built with a 10.7 SDK or above.
>> #endif /* MAC_OS_X_VERSION_MAX_ALLOWED < 1070 */
>> 
> 
> that’s what I meant when I referred to using availability macros - sorry if 
> it was the wrong term.
> 
> Mojca did an extensive dissection of the process in the trac ticket, trying a 
> number of such things
> 
> https://trac.macports.org/ticket/52210
> 
> I haven’t dug into it like she has …
> 
> 
> Can I just distribute a 10.7SDK from a weblink?

No.

> I suppose I'd get a call from Apple Legal if I did that ..?

Yes.

Why would you do that? It can be downloaded from the Apple developer web site 
(in a newer version of Xcode).

_______________________________________________
macports-users mailing list
macports-users@lists.macosforge.org
https://lists.macosforge.org/mailman/listinfo/macports-users

Reply via email to